@import '../../styles/theme';

.header-bg {
  display: block;
  position: sticky;
  z-index: 5;
  top: 0;
  left: 0;
  right: 0;
  height: 56px;
}

.header {
  display: block;
  left: 0;
  right: 0;
  margin: 0 !important;
  padding: 0 !important;
  height: 56px;
  border-radius: 0 !important;
  text-align: center;
}

.header-left {
  position: absolute;
  top: 0;
  left: 16px;
}

.header-right {
  position: absolute;
  top: 0;
  right: 16px;
}

.header-text {
  display: inline-block;
  vertical-align: middle;
  padding: 16px 0;
  height: 56px;
  font-size: 14px;
  line-height: 24px;
}

.header-box-size {
  display: inline-block;
  vertical-align: middle;
  width: 56px;
  height: 56px;
  max-width: 56px;
  max-height: 56px;
  min-width: 56px;
  min-height: 56px;
}

.header-btn {
  padding: 8px 16px;
  max-height: 56px;
  min-width: 56px;
  min-height: 56px;
  border: 0 !important;
  border-radius: 0 !important;
  font-size: 14px !important;
  line-height: 24px !important;
  background-color: transparent !important;
  color: $primary;
  box-shadow: none !important;
}
.header-btn:hover,
.header-btn:focus,
.header-btn:active {
  background-color: rgba(235, 235, 235, 0.95) !important;
}

.logo-size {
  margin: 8px 0 0;
  width: 40px;
  height: 40px;
}

.menu-btn {
  padding: 16px;
}

.account-menu-btn {
  padding: 8px;
}

.account-pic-size {
  width: 40px;
  height: 40px;
}
